[arch-commits] Commit in gksu/repos (4 files)

Jan de Groot jgc at archlinux.org
Fri Jul 18 17:22:10 EDT 2008


    Date: Friday, July 18, 2008 @ 17:22:09
  Author: jgc
Revision: 5578

Merged revisions 2-5577 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gksu/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r5572 | jgc | 2008-07-18 21:19:03 +0000 (Fri, 18 Jul 2008) | 1 line
  
  upgpkg: gksu 2.0.0-3
........
  r5574 | jgc | 2008-07-18 21:19:34 +0000 (Fri, 18 Jul 2008) | 2 lines
  
  Add missing patches
........

Added:
  gksu/repos/extra-x86_64/16_fix_ftbfs.patch
    (from rev 5574, gksu/trunk/16_fix_ftbfs.patch)
  gksu/repos/extra-x86_64/20_move_to_extensions-2.0.patch
    (from rev 5574, gksu/trunk/20_move_to_extensions-2.0.patch)
Modified:
  gksu/repos/extra-x86_64/	(properties)
  gksu/repos/extra-x86_64/PKGBUILD

---------------------------------+
 16_fix_ftbfs.patch              |   12 ++++++++++++
 20_move_to_extensions-2.0.patch |   24 ++++++++++++++++++++++++
 PKGBUILD                        |   27 +++++++++++++++++----------
 3 files changed, 53 insertions(+), 10 deletions(-)


Property changes on: gksu/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /gksu/trunk:1
   + /gksu/trunk:1-5577

Copied: gksu/repos/extra-x86_64/16_fix_ftbfs.patch (from rev 5574, gksu/trunk/16_fix_ftbfs.patch)
===================================================================
--- extra-x86_64/16_fix_ftbfs.patch	                        (rev 0)
+++ extra-x86_64/16_fix_ftbfs.patch	2008-07-18 21:22:09 UTC (rev 5578)
@@ -0,0 +1,12 @@
+diff -Nur -x '*.orig' -x '*~' gksu-2.0.0/configure.ac gksu-2.0.0.new/configure.ac
+--- gksu-2.0.0/configure.ac	2008-04-04 20:04:14.000000000 +0200
++++ gksu-2.0.0.new/configure.ac	2008-04-04 20:05:12.000000000 +0200
+@@ -66,7 +66,7 @@
+ AM_CONDITIONAL(ENABLE_NAUTILUS_EXTENSION, test x$enable_nautilus_extension = xyes)
+ 
+ if test x$enable_nautilus_extension = xyes; then
+-   PKG_CHECK_MODULES(NAUTILUS, [libgksu2 >= 2.0.0, libnautilus-extension])
++   PKG_CHECK_MODULES(NAUTILUS, [libgksu2 >= 2.0.0, libnautilus-extension, gnome-vfs-2.0])
+ fi
+ 
+ AC_CONFIG_FILES([

Copied: gksu/repos/extra-x86_64/20_move_to_extensions-2.0.patch (from rev 5574, gksu/trunk/20_move_to_extensions-2.0.patch)
===================================================================
--- extra-x86_64/20_move_to_extensions-2.0.patch	                        (rev 0)
+++ extra-x86_64/20_move_to_extensions-2.0.patch	2008-07-18 21:22:09 UTC (rev 5578)
@@ -0,0 +1,24 @@
+diff -Nur -x '*.orig' -x '*~' gksu-2.0.0/nautilus-gksu/Makefile.am gksu-2.0.0.new/nautilus-gksu/Makefile.am
+--- gksu-2.0.0/nautilus-gksu/Makefile.am	2006-09-15 10:45:10.000000000 +0800
++++ gksu-2.0.0.new/nautilus-gksu/Makefile.am	2008-04-12 15:45:47.000000000 +0800
+@@ -2,7 +2,7 @@
+ INCLUDES = ${NAUTILUS_CFLAGS}
+ AM_CPPFLAGS = -DLOCALEDIR=\"$(datadir)/locale\" -DDATA_DIR=\"$(datadir)\" -DPREFIX=\"$(prefix)\"
+ 
+-nautilus_extensiondir=$(libdir)/nautilus/extensions-1.0
++nautilus_extensiondir=$(libdir)/nautilus/extensions-2.0
+ nautilus_extension_LTLIBRARIES = libnautilus-gksu.la
+ libnautilus_gksu_la_SOURCES = libnautilus-gksu.c
+ libnautilus_gksu_la_LDFLAGS = LDFLAGS = -module -avoid-version -no-undefined
+diff -Nur -x '*.orig' -x '*~' gksu-2.0.0/nautilus-gksu/Makefile.in gksu-2.0.0.new/nautilus-gksu/Makefile.in
+--- gksu-2.0.0/nautilus-gksu/Makefile.in	2006-09-24 04:23:10.000000000 +0800
++++ gksu-2.0.0.new/nautilus-gksu/Makefile.in	2008-04-12 15:45:53.000000000 +0800
+@@ -241,7 +241,7 @@
+ AM_CFLAGS = -g -O2 -Wall
+ INCLUDES = ${NAUTILUS_CFLAGS}
+ AM_CPPFLAGS = -DLOCALEDIR=\"$(datadir)/locale\" -DDATA_DIR=\"$(datadir)\" -DPREFIX=\"$(prefix)\"
+-nautilus_extensiondir = $(libdir)/nautilus/extensions-1.0
++nautilus_extensiondir = $(libdir)/nautilus/extensions-2.0
+ nautilus_extension_LTLIBRARIES = libnautilus-gksu.la
+ libnautilus_gksu_la_SOURCES = libnautilus-gksu.c
+ libnautilus_gksu_la_LDFLAGS = LDFLAGS = -module -avoid-version -no-undefined

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-18 21:21:53 UTC (rev 5577)
+++ extra-x86_64/PKGBUILD	2008-07-18 21:22:09 UTC (rev 5578)
@@ -4,22 +4,29 @@
 
 pkgname=gksu	
 pkgver=2.0.0
-pkgrel=2
+pkgrel=3
 pkgdesc="A graphical frontend for su"
 arch=(i686 x86_64)
 url="http://www.nongnu.org/gksu/index.html"
 license=('GPL')
-depends=('libgksu>=2.0.4')
-makedepends=('gtk-doc' 'pkgconfig' 'nautilus>=2.18.1')
-options=('nolibtool')
-source=(http://people.debian.org/~kov/gksu/${pkgname}-${pkgver}.tar.gz)
-md5sums=('f517302cff6f09e4f2f312c4b618bd40')
+depends=('libgksu>=2.0.7')
+makedepends=('gtk-doc' 'pkgconfig' 'nautilus>=2.22.5.1')
+options=('!libtool')
+source=(http://people.debian.org/~kov/gksu/${pkgname}-${pkgver}.tar.gz
+	16_fix_ftbfs.patch
+	20_move_to_extensions-2.0.patch)
+md5sums=('f517302cff6f09e4f2f312c4b618bd40'
+	 '60d2765bd4e89ab91c1eae8d20b48b6a'
+         '0df1c0a1298c99ee8019698f0d83f67d')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  sed -i -e 's|/usr/bin/x-terminal-emulator|gnome-terminal|g' gksu.desktop
+  cd ${srcdir}/${pkgname}-${pkgver}
+  sed -i -e 's|/usr/bin/x-terminal-emulator|gnome-terminal|g' gksu.desktop || return 1
+  patch -Np1 -i ${srcdir}/16_fix_ftbfs.patch || return 1
+  patch -Np1 -i ${srcdir}/20_move_to_extensions-2.0.patch || return 1
+  autoconf || return 1 
   ./configure --prefix=/usr --sysconfdir=/etc \
-              --localstatedir=/var --disable-static
+              --localstatedir=/var --disable-static || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 }





More information about the arch-commits mailing list